## org.apache.batik.dom.svg
Class SVGAnimatedPathDataSupport

    java.lang.Object
      org.apache.batik.dom.svg.SVGAnimatedPathDataSupport

public class SVGAnimatedPathDataSupport
extends java.lang.Object

This class provide support for the SVGAnimatedPathData interface.

Field Summary
`static java.lang.String` `D_DEFAULT_VALUE` Default value for the 'd' attribute.

Constructor Summary
`SVGAnimatedPathDataSupport()`

Method Summary
`static SVGPathSegList` `getAnimatedNormalizedPathSegList(AbstractElement e)` DOM: Implements `SVGAnimatedPathData.getNormalizedPathSegList()`.
`static SVGPathSegList` `getAnimatedPathSegList(AbstractElement e)` DOM: Implements `SVGAnimatedPathData.getAnimatedPathSegList()`.
`static SVGPathSegList` `getNormalizedPathSegList(AbstractElement e)` DOM: Implements `SVGAnimatedPathData.getNormalizedPathSegList()`.
`static SVGPathSegList` `getPathSegList(AbstractElement e)` DOM: Implements `SVGAnimatedPathData.getPathSegList()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### D_DEFAULT_VALUE

    public static final java.lang.String D_DEFAULT_VALUE

  Default value for the 'd' attribute.

  See Also:
    Constant Field Values

Constructor Detail

### SVGAnimatedPathDataSupport

    public SVGAnimatedPathDataSupport()

Method Detail

### getPathSegList

    public static SVGPathSegList getPathSegList(AbstractElement e)

  DOM: Implements `SVGAnimatedPathData.getPathSegList()`.

### getNormalizedPathSegList

    public static SVGPathSegList getNormalizedPathSegList(AbstractElement e)

  DOM: Implements `SVGAnimatedPathData.getNormalizedPathSegList()`.

### getAnimatedPathSegList

    public static SVGPathSegList getAnimatedPathSegList(AbstractElement e)

  DOM: Implements `SVGAnimatedPathData.getAnimatedPathSegList()`.

### getAnimatedNormalizedPathSegList

    public static SVGPathSegList getAnimatedNormalizedPathSegList(AbstractElement e)

  DOM: Implements `SVGAnimatedPathData.getNormalizedPathSegList()`.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.